Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 02-10-2009, 06:59 PM   #1
thebadtouch
Junior Member
thebadtouch began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Feb 2009
Device: Kindle
calibre 0.4.136 not compiling on linux

Hi,
I got the latest version of calibre (0.4.136), and got the following message when running "python setup.py install" as root:

Quote:
Installing calibre script to /usr/local/bin

Installed /usr/local/lib/python2.5/site-packages/calibre-0.4.136-py2.5-linux-i686.egg
Processing dependencies for calibre==0.4.136
Finished processing dependencies for calibre==0.4.136
Traceback (most recent call last):
File "/usr/local/bin/calibre_postinstall", line 8, in <module>
load_entry_point('calibre==0.4.136', 'console_scripts', 'calibre_postinstall')()
File "/usr/local/lib/python2.5/site-packages/setuptools-0.6c9-py2.5.egg/pkg_resources.py", line 277, in load_entry_point
File "/usr/local/lib/python2.5/site-packages/setuptools-0.6c9-py2.5.egg/pkg_resources.py", line 2180, in load_entry_point
File "/usr/local/lib/python2.5/site-packages/setuptools-0.6c9-py2.5.egg/pkg_resources.py", line 1913, in load
File "build/bdist.linux-i686/egg/calibre/linux.py", line 11, in <module>
File "/usr/local/lib/python2.5/site-packages/PIL/__init__.py", line 12, in devices
# ;-)
File "build/bdist.linux-i686/egg/calibre/devices/cybookg3/driver.py", line 11, in <module>
File "build/bdist.linux-i686/egg/calibre/devices/usbms/driver.py", line 12, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/meta.py", line 9, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/opf2.py", line 15, in <module>
ImportError: No module named dateutil
Traceback (most recent call last):
File "setup.py", line 499, in <module>
subprocess.check_call('calibre_postinstall', shell=True)
File "/usr/local/lib/python2.5/subprocess.py", line 462, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command 'calibre_postinstall' returned non-zero exit status 1
I checked all dependencies, and everything seems ok. Am I missing a piece somewhere?

Thanks very much for your program and for your help.

VERY SORRY -- just saw the post from Talung posted a few minutes before mine. Was able to get the python-dateutil package installed, and everyting compiles fine for calibre now.

Thanks again!

Last edited by thebadtouch; 02-10-2009 at 07:06 PM.
thebadtouch is offline   Reply With Quote
Old 02-10-2009, 07:06 PM   #2
Talung
Member
Talung began at the beginning.
 
Posts: 15
Karma: 10
Join Date: Feb 2009
Device: PRS-505
Hi There,

It looks like it is missing the the dateutil python module.

If you are on a debian based system try:

Code:
sudo apt-get install python-dateutil
then try compile again. Worked for me.
Talung is offline   Reply With Quote
 
Enthusiast
Old 02-10-2009, 07:08 PM   #3
thebadtouch
Junior Member
thebadtouch began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Feb 2009
Device: Kindle
Hi Talung,
Yes, I was able to get it.. I'm on slackware, though don't seem to be many of us around anymore.

Thanks for your assistance.
thebadtouch is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Calibre on Linux... hrickh Calibre 1 08-05-2010 05:58 PM
Regarding Calibre source code compiling shivas Introduce Yourself 4 12-23-2009 09:52 AM
calibre 0.6.10 for Linux AprilHare Calibre 3 09-03-2009 07:03 PM
Version 4.136 missing package Talung Calibre 3 02-11-2009 12:34 AM
Calibre won't start: Linux JeffElkins Calibre 16 08-30-2008 11:33 AM


All times are GMT -4. The time now is 03:16 AM.


MobileRead.com is a privately owned, operated and funded community.